  DROP TABLE "AANKOPEN";
  DROP TABLE "KASSABONNEN";
  DROP TABLE "ACTIE";
  DROP TABLE "PRODUCTEN";
  DROP TABLE "PRODUCTSOORTEN";
  DROP TABLE "PRODUCTGROEPEN";


REM START SCOTT KASSABONNEN

  CREATE TABLE "KASSABONNEN" 
   (	"ID" NUMBER NOT NULL ENABLE, 
	"DATUM" DATE DEFAULT sysdate NOT NULL ENABLE, 
	"KLANTKAARTNUMMER" VARCHAR2(100 BYTE), 
	 CONSTRAINT "KASSABONNEN_PK" PRIMARY KEY ("ID")
   ENABLE
   ) 
  ;

REM START SCOTT PRODUCTGROEPEN


  CREATE TABLE "PRODUCTGROEPEN" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAAM" VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	 CONSTRAINT "PRODUCTGROEPEN_PK" PRIMARY KEY ("ID")
   ENABLE
   ) 
  ;

REM START SCOTT PRODUCTSOORTEN


  CREATE TABLE "PRODUCTSOORTEN" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"LABEL" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"PGP_ID" NUMBER(10,0), 
	 CONSTRAINT "PRODUCTSOORTEN_PK" PRIMARY KEY ("ID")
   ENABLE, 
	 CONSTRAINT "PRODUCTSOORTEN_FK" FOREIGN KEY ("PGP_ID")
	  REFERENCES "PRODUCTGROEPEN" ("ID") ENABLE
   ) 
  ;
REM START SCOTT PRODUCTEN


  CREATE TABLE "PRODUCTEN" 
   (	"ID" NUMBER NOT NULL ENABLE, 
	"EANCODE" VARCHAR2(40 BYTE) NOT NULL ENABLE, 
	"LABEL" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"PRIJS" NUMBER(5,2) NOT NULL ENABLE, 
	"PST_ID" NUMBER(10,0), 
	 CONSTRAINT "PRODUCTEN_PK" PRIMARY KEY ("ID")
   ENABLE, 
	 CONSTRAINT "PRODUCTEN_PRODUCTSOORTEN_FK" FOREIGN KEY ("PST_ID")
	  REFERENCES "PRODUCTSOORTEN" ("ID") ENABLE
   ) 
  ;

REM START SCOTT AANKOPEN

  CREATE TABLE "AANKOPEN" 
   (	"ID" NUMBER NOT NULL ENABLE, 
	"KBN_ID" NUMBER, 
	"PDT_ID" NUMBER, 
	 CONSTRAINT "AANKOPEN_PK" PRIMARY KEY ("ID")
   ENABLE, 
	 CONSTRAINT "AANKOPEN_KASSABONNEN_FK" FOREIGN KEY ("KBN_ID")
	  REFERENCES "KASSABONNEN" ("ID") ENABLE, 
	 CONSTRAINT "AANKOPEN_PRODUCTEN_FK" FOREIGN KEY ("PDT_ID")
	  REFERENCES "PRODUCTEN" ("ID") ENABLE
   );

  CREATE TABLE "ACTIE" 
   (	"PST_ID" NUMBER(10,0), 
	"KORTING_VOOR_GOEDKOOPSTE_JN" VARCHAR2(1 BYTE) DEFAULT 'N', 
	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"PRIJS" NUMBER(5,2), 
	"AANTAL" NUMBER(2,0), 
	"KORTINGS_PERCENTAGE" NUMBER(4,2), 
	"PDT_ID" NUMBER, 
	"BEGIN_DATUM" DATE, 
	"EIND_DATUM" DATE, 
	 CONSTRAINT "ACTIE_PK" PRIMARY KEY ("ID")
   ENABLE, 
	 CONSTRAINT "ACTIE_PDT_OF_PSTCHK1" CHECK (PDT_ID is null or PST_ID is null) ENABLE, 
	 CONSTRAINT "ACTIE_PRODUCTSOORTEN_FK" FOREIGN KEY ("PST_ID")
	  REFERENCES "PRODUCTSOORTEN" ("ID") ENABLE, 
	 CONSTRAINT "ACTIE_PRODUCTEN_FK" FOREIGN KEY ("PDT_ID")
	  REFERENCES "PRODUCTEN" ("ID") ENABLE
   ) 
  ;

 REM INSERTING into KASSABONNEN
Insert into KASSABONNEN ("ID","DATUM","KLANTKAARTNUMMER") values (1,to_date('13-FEB-07','DD-MON-RR'),null);

REM END SCOTT KASSABONNEN

Insert into PRODUCTGROEPEN ("ID","NAAM") values (1,'Alcoholische Dranken (Wijn, Bier,...)');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (2,'Brood');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (3,'Broodbeleg');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (4,'Vleeswaren');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (5,'Koek en Gebak');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (6,'Zuivel');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (7,'Kaas');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (8,'Groente en Fruit');
Insert into PRODUCTGROEPEN ("ID","NAAM") values (9,'Wasproducten');

REM END SCOTT PRODUCTGROEPEN

 REM INSERTING into PRODUCTSOORTEN
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (1,'Rode Wijn',1);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (2,'Speciaal Bier',1);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (3,'Pilsner',1);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (5,'Port',1);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (4,'Witte Wijn',1);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (6,'Pindakaas',3);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (7,'Hagelslag',3);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (8,'Jam',3);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (9,'Stroop',3);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (10,'Melk',6);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (11,'Karnemelk',6);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (12,'Yoghurt',6);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (13,'Slagroom',6);
Insert into PRODUCTSOORTEN ("ID","LABEL","PGP_ID") values (14,'Vla',6);

REM END SCOTT PRODUCTSOORTEN

 REM INSERTING into PRODUCTEN
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (1,'674326743256','Calve Pindakaas, grootverpakking, 700 gr',3.19,6);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (2,'919278218971','Eigen Merk, Met nootjes, 450 g',1.45,6);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (5,'615276152516','Bordeaux Mas de la Maume,2005',2.99,1);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (4,'172621821721','Tempranillo Berberana',4.26,1);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (3,'912112311221','Euroshopper, Supervoordeel, 1 kg',0.79,6);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (7,'819289881918','Huiswijn, Bodega de las Torres',1.99,1);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (6,'718279912811','Vino Tinto de Penedes, 2004',6.78,1);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (9,'7832763267','De Ruyter Pure Hagelslag, 400g',2.89,7);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (0,'5372121','Finest Ruby Port',7.99,5);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (11,'12127217217','Hero, Extra Confiture, Granaatappeljam, 375g',2.56,8);
Insert into PRODUCTEN ("ID","EANCODE","LABEL","PRIJS","PST_ID") values (12,'2121992121','Eigen Merk Jam, Abrikozen, 600g',1.69,8);

REM END SCOTT PRODUCTEN

 REM INSERTING into AANKOPEN
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (2,1,7);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (3,1,2);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (5,1,4);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (6,1,3);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (7,1,6);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (8,1,5);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (9,1,1);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (10,1,1);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (4,1,3);
Insert into AANKOPEN ("ID","KBN_ID","PDT_ID") values (1,1,7);

REM END SCOTT AANKOPEN

REM START SCOTT ACTIE

 REM INSERTING into ACTIE
Insert into ACTIE ("PST_ID","KORTING_VOOR_GOEDKOOPSTE_JN","ID","PRIJS","AANTAL","KORTINGS_PERCENTAGE","PDT_ID","BEGIN_DATUM","EIND_DATUM") values (null,'N',3,null,3,33.3,1,to_date('07-FEB-07','DD-MON-RR'),to_date('22-FEB-07','DD-MON-RR'));
Insert into ACTIE ("PST_ID","KORTING_VOOR_GOEDKOOPSTE_JN","ID","PRIJS","AANTAL","KORTINGS_PERCENTAGE","PDT_ID","BEGIN_DATUM","EIND_DATUM") values (null,'N',2,5,2,null,5,to_date('07-FEB-07','DD-MON-RR'),to_date('22-FEB-07','DD-MON-RR'));
Insert into ACTIE ("PST_ID","KORTING_VOOR_GOEDKOOPSTE_JN","ID","PRIJS","AANTAL","KORTINGS_PERCENTAGE","PDT_ID","BEGIN_DATUM","EIND_DATUM") values (1,'J',1,null,3,50,null,to_date('07-FEB-07','DD-MON-RR'),to_date('22-FEB-07','DD-MON-RR'));

REM END SCOTT ACTIE




--*/